Subject: [DNA] Re: LinkID v.s. Landmark Prefix

From: JinHyeock Choi <[email-masked]>
Date: Mon, 01 Aug 2005 16:24:16 +0900

Dear Erik

> >>When it receives the RA from R2, the only thing it can rely on is the 
> >>link up notification (R3 and R3 do not advertise any common prefixes), 
> >>since R2 and R3 could be two old routers that are on the same link and 
> >>announce disjoint prefixes.
> > 
> > 
> > It's not clear to me. What can Link UP say to host H? It can't 
> > say anything definite about whether link change happens or not. 
> 
> Link UP indicates to the host that the RA from R3 and R2 could come from 
> different links.
> If we want something which doesn't rely on link UP, the host has to 
> always treat each RA as potentially being from a different link, which 
> would be problematic when
> 1) the routers don't have a common prefix, and
> 2) the routers don't support DNA
> because in the absence of relying on a link UP in this case, the host 
> will end up assuming that each time it receives a RA, it has moved to a 
> different link.

I see. The "lack of Link UP" can tell host that there is no link change. 

> > After H moves from LinkB to LinkA, it receives a hint for 
> > a possible link change. 
> > 
> > To make Link UP presence the smallest, I assume H used 
> > the lack of RA from R3 as a hint. H missed 3 RAs from R3
> > and came to suspect a link change. 
> 
> But that would take 90 minutes by default, since the periodic RAs arrive 
> with 30 minute average interval.

Yes, this is possible. I meant it to reduce Link UP dependece and 
assumed there would be more frequent RAs as defined in MIPv6. 

> > Because H doesn't have a linkid prefix, it needs to use CPL. 
> > So H activates CPL module and sends an RS. 
> > 
> > Because H relies on CPL in this case, it needs Link UP. 
> 
> So it seems like until every link in the Internet supports DNA (it isn't 
> clear to me whether all routers on every link needs to support DNA, or 
> whether it is sufficient to have one per link support it), then the 
> hosts MUST rely on a reliable link up notification in order to always be 
> able to detect movement. Is that correct?

Yes. Link UP is needed for legacy links. 

Thanks for your kind consideration. 

Best Regards

JinHyeock